OWFTPD(1)

NAME
owftpd - Anoymous FTP server for 1-wire access

SYNOPSIS
owftpd [ -p host:tcp-port ]

DESCRIPTION

  owftpd
owhttpd (1) is an anonymous ftp (file-transfer-protocol) server that shows the Dallas/Maxim 1-Wire bus attached to a computer. The main directory shows the devices found, You can then navigate to individual devices, view and set their properties.

owftpd (1) uses the same naming convention as owfs (1) and owhppt (1) , where the URL corresponds to the filename.

The ftp server is a modified version of oftpd by Shane Kerr. It serves no files from the disk, only virtual files from the 1-wire bus. Security should therefore be good. Only the 1-wire bus is at risk.

SPECIFIC OPTIONS

  -p host:portnum
(Optional) Sets the tcp port the ftp server runs on. Access with the URL ftp://anonymous@servernameoripaddress:portnum

The well known ftp port, 21, will be used by default. Since this port number is in the restricted range, special permission is usually required.

EXAMPLE

owftpd -d /dev/ttyS0
    Ftp server runs on default tcp port 21, serial adapter at ttyS0

owftpd -s littlehost:4304 --error_level=3
    Ftp server on default port 21, from owserver (1) process on host "littlehost", extensive error messages.

AVAILABILITY
http://www.owfs.org

SEE ALSO

AUTHOR
Paul Alfille (paul.alfille@gmail.com)